"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""
# Modules settings for visuse project.

from Modulo_GoogleImages import SearchGoogleImages
from Modulo_Youtube import SearchYoutube
from Modulo_Picasa import SearchPicasa
from Modulo_Wikicommons import SearchWikicommons
from Modulo_Flickr import SearchFlickr

modules_dictionary = {
	#~ 'yahooweb': SearchYahooWeb, 
	'googleimages': SearchGoogleImages,
	'youtube': SearchYoutube, 
	'picasa': SearchPicasa,
	'wikicommons': SearchWikicommons,
	'flickr': SearchFlickr
}
	

# Youtube Module configuration
youtube_key =	'AI39si7_wU7vWxD_tYzS6oREhUqlw7rUzIgwW65XdlVk5nDnaLgxXhol8g-SwFLtWCJhDG4p_q5ilBT3FgODvr4B3Knyq7wtWg'
youtube_order = 'relevance'


# Flickr Module configuration
#yahoo_id:fr4nc1c
flickr_api_key =			'c152d715f06cbb900df7ada2343b9070'
flickr_method =				'flickr.photos.search'
flickr_results_per_page =	'15'
flickr_sort = 				'relevance'

# Picasa Module configuration
picasa_limit =	'15'


# Yahoo Web Module configuration
yahoo_api = 'ER6Og97V34FFUj.ttwezOZaA0QkI168zOWIolRp4N8MX3Ge3d.U17rxmPERH59WhQLlHUjHGmTT0udL3bxOm'
