"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""
# Create your views here.
import json
import jsonpickle
from django.http import HttpResponse
from config import modules_dictionary



def Json(request, searchTerms, searchFunction):
	
	resultList = searchFunction(searchTerms)

	jsonResult = jsonpickle.encode(resultList, unpicklable=False)
	return HttpResponse(jsonResult, mimetype='application/javascript')




def ResultadoJson(request, searchFunctionString, searchTerms):
	
	searchEngine = modules_dictionary[searchFunctionString]()
	
	resultList = searchEngine.search(searchTerms.encode("utf-8"))
	
	jsonResult = jsonpickle.encode(resultList, unpicklable=False)
	return HttpResponse(jsonResult, mimetype='application/javascript')

